Package wx :: Package lib :: Module customtreectrl :: Class TreeItemAttr

[frames | no frames]

## Class TreeItemAttr

Creates the item attributes (text colour, background colour and font).

Method Summary
| ``__init__`(self, colText, colBack, font)` Default class constructor.
| ``GetBackgroundColour`(self)` Returns the attribute background colour.
| ``GetFont`(self)` Returns the attribute font.
| ``GetTextColour`(self)` Returns the attribute text colour.
| ``HasBackgroundColour`(self)` Returns whether the attribute has background colour.
| ``HasFont`(self)` Returns whether the attribute has font.
| ``HasTextColour`(self)` Returns whether the attribute has text colour.
| ``SetBackgroundColour`(self, colBack)` Sets the attribute background colour.
| ``SetFont`(self, font)` Sets the attribute font.
| ``SetTextColour`(self, colText)` Sets the attribute text colour.

Method Details

### __init__(self, colText=wx.Colour(-1, -1, -1, 255), colBack=wx.Colour(-1, -1, -1, 255), font=<wx._gdi.Font; proxy of <Swig Object of type 'wxFont *' a...)
(Constructor)

Default class constructor. For internal use: do not call it in your code!

### GetBackgroundColour(self)

Returns the attribute background colour.

### GetFont(self)

Returns the attribute font.

### GetTextColour(self)

Returns the attribute text colour.

### HasBackgroundColour(self)

Returns whether the attribute has background colour.

### HasFont(self)

Returns whether the attribute has font.

### HasTextColour(self)

Returns whether the attribute has text colour.

### SetBackgroundColour(self, colBack)

Sets the attribute background colour.

### SetFont(self, font)

Sets the attribute font.

### SetTextColour(self, colText)

Sets the attribute text colour.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:53 2007 | http://epydoc.sf.net